Bug 372141 - Question marks in track names cause error in kaudiocreator when ripping CDs
Question marks in track names cause error in kaudiocreator when ripping CDs
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kdemultimedia (Show other bugs)
6
All Linux
low Severity low
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-08 23:17 EST by Tim Wegener
Modified: 2008-02-04 07:00 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-04 07:00:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tim Wegener 2007-11-08 23:17:07 EST
Description of problem:
KAudioCreator/oggenc complains when it tries to rip/encode a track that has a
question mark in its title, and won't encode the track. 

Version-Release number of selected component (if applicable):
kdemultimedia-3.5.7-1.fc6.i386
vorbis-tools-1.1.1-3.fc6.i386

How reproducible:
Always

Steps to Reproduce:
1. Insert CD
2. Choose 'Rip audio tracks with KAudioCreator'
3. Select track that contains a question mark (?)
4. Click the 'Rip Selection' toolbar button. (encoding set to Ogg Vorbis)
  
Actual results:

Popup:
Encoding Failed - KAudioCreator
The encoded file was not created.
Please check the encoder options.
The wav file has been removed.
Do you want to see the full encoder output?

oggenc -o '/mnt/ddrive/music/ripped/Elvis Presley/30 #1 Hits/16 - Are You
Lonesome Tonight?.ogg' --artist 'Elvis Presley' --album '30 #1 Hits' --title
'Are You Lonesome Tonight?' --date '2002' --tracknum '16' --genre 'Rock & Roll'
'/tmp/kde-tim/69mSha.wav'


Opening with wav module: WAV file reader
ERROR: Cannot open output file "/mnt/ddrive/music/ripped/Elvis Presley/30 #1
Hits/16 - Are You Lonesome Tonight?.ogg": Invalid argument


Expected results:
Track should be ripped and encoded.

Additional info:
Comment 1 Rex Dieter 2007-11-09 00:04:22 EST
likely not something we can address within fedora, best to take this issue
upstream to bugs.kde.org.
Comment 2 Lukáš Tinkl 2008-02-04 07:00:48 EST
It's (likely) a problem with a FAT32 partition which is described (together with
a workaround) in https://bugs.kde.org/show_bug.cgi?id=97305. Closing

Note You need to log in before you can comment on or make changes to this bug.